### Function

# Ide create_host_triplet

#### Declaration

    gchar*
    ide_create_host_triplet (
      const gchar* arch,
      const gchar* kernel,
      const gchar* system
    )

#### Description

No description available.

#### Parameters

`arch` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`kernel` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`system` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gchar*`
| No description available.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.